Name:		gnome-phone-manager
Summary:	Gnome Phone Manager
Version: 	0.8
Release: 	5%{?dist}
License: 	GPL
Group: 		Applications/System
Source:		http://ftp.gnome.org/pub/GNOME/sources/gnome-phone-manager/%{version}/%{name}-%{version}.tar.bz2
URL: 		http://usefulinc.com/software/phonemgr/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	libgnome-devel
BuildRequires: 	gnome-bluetooth-devel
BuildRequires:	libbtctl-devel
BuildRequires:	libsigc++-devel
BuildRequires:	openobex-devel
BuildRequires:	bluez-libs-devel
BuildRequires:	gnokii-devel
# Used by built-in libegg
BuildRequires:	librsvg2-devel
# For libebook (evolution address book)
BuildRequires:	evolution-data-server-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
# Included with source
# BuildRequires:	gsmlib-devel
# In 0.8 some ancient autotoolset was used in packaging :(
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	intltool


%description
This program will connect to your mobile phone over a serial port,
either via a cable, infrared (IrDA) or Bluetooth connection.

For example it listens for text messages, and when they arrive, 
displays them on the desktop. A visual indicator is displayed in 
the notification area, if one is presently added to the panel.

%prep
%setup -q

%build
%{__rm} -f aclocal.m4
aclocal
automake --add-missing
%{__rm} -f configure
%{__rm} -rf autom4te*.cache/
autoconf
%configure
make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}
# This is fixing some bug..
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mv $RPM_BUILD_ROOT%{_datadir}/cellphone.png \
   $RPM_BUILD_ROOT%{_datadir}/pixmaps/
desktop-file-install \
  --delete-original \
  --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-phone-manager.desktop


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/gnome-phone-manager
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-phone-manager/
%{_datadir}/pixmaps/cellphone.png

%changelog
* Sun Nov 15 2006 Linus Walleij <triad@df.lth.se> 0.8-5
- Rebuild to pick up libbtctl i/f bump.

* Sun Oct 29 2006 Linus Walleij <triad@df.lth.se> 0.8-4
- Rebuild to pick up libedataserver i/f bump.

* Sun Oct 8 2006 Linus Walleij <triad@df.lth.se> 0.8-3
- Pick up intltool.

* Sun Oct 8 2006 Linus Walleij <triad@df.lth.se> 0.8-2
- Pick up libtool.

* Sun Oct 8 2006 Linus Walleij <triad@df.lth.se> 0.8-1
- New upstream version including patch.
- The icon is an an even weirder place now!
- Have to run som autotools on this one to get it working.

* Tue Sep 5 2006 Linus Walleij <triad@df.lth.se> 0.7-5
- Patch to compile with new version of E-D-S.

* Thu Aug 10 2006 Linus Walleij <triad@df.lth.se> 0.7-4
- Missing BR

* Thu Aug 3 2006 Linus Walleij <triad@df.lth.se> 0.7-3
- Updated after feedback from Chris Weyl
- Bogus problem with cellphone.png icon image

* Sat Jul 29 2006 Linus Walleij <triad@df.lth.se> 0.7-2
- Updated after feedback from Parag and Paul

* Tue Jun 27 2006 Linus Walleij <triad@df.lth.se> 0.7-1
- 0.7 Release
- Took Matthews nrpm package and Fedora Extrasificated it

* Fri Sep 09 2005 Matthew Hall <matt@nrpms.net> 0.6-1
- 0.6 Release

* Mon Jun 20 2005 Matthew Hall <matt@nrpms.net> 0.4-1
- 0.4 Release
